My Project: dgCollisionCompound Class Reference

My Project

Classes | Public Member Functions | Public Attributes | Protected Types | Protected Member Functions | Static Protected Member Functions | Protected Attributes | Static Protected Attributes | Friends | List of all members
dgCollisionCompound Class Reference

`#include <dgCollisionCompound.h>`

Inheritance diagram for dgCollisionCompound:

## Classes

class | dgHeapNodePair
class | dgNodeBase
class | dgNodePairs
class | dgOOBBTestData
class | dgSpliteInfo
class | dgTreeArray

## Public Member Functions

| dgCollisionCompound (dgWorld *const world)
| dgCollisionCompound (const dgCollisionCompound &source, const dgCollisionInstance *const myInstance)
| dgCollisionCompound (dgWorld *const world, dgDeserialize deserialization, void *const userData, const dgCollisionInstance *const myInstance)
void | SetParent (const dgCollisionInstance *const myInstance)
virtual | ~dgCollisionCompound ()
virtual void | BeginAddRemove ()
virtual dgTreeArray::dgTreeNode * | AddCollision (dgCollisionInstance *const part)
virtual void | RemoveCollision (dgTreeArray::dgTreeNode *const node)
virtual void | SetCollisionMatrix (dgTreeArray::dgTreeNode *const node, const dgMatrix &matrix)
virtual void | EndAddRemove (bool flushCache=true)
void | ApplyScale (const dgVector &scale)
void | GetAABB (dgVector &p0, dgVector &p1) const
dgInt32 | GetNodeIndex (dgTreeArray::dgTreeNode *const node) const
dgTreeArray::dgTreeNode * | FindNodeByIndex (dgInt32 index) const
dgTreeArray::dgTreeNode * | GetFirstNode () const
dgTreeArray::dgTreeNode * | GetNextNode (dgTreeArray::dgTreeNode *const node) const
dgCollisionInstance * | GetCollisionFromNode (dgTreeArray::dgTreeNode *const node) const
Public Member Functions inherited from dgCollision
dgInt32 | IsType (dgRTTI type) const
dgUnsigned32 | GetSignature () const
dgCollisionID | GetCollisionPrimityType () const
virtual dgFloat32 | GetSkinThickness () const
virtual void | SerializeLow (dgSerialize callback, void *const userData) const
virtual dgInt32 | GetConvexVertexCount () const
const dgCollision * | AddRef () const
dgInt32 | GetRefCount () const
virtual dgInt32 | Release () const
const dgVector & | GetObbOrigin () const
virtual dgVector | GetObbSize () const
dgFloat32 | GetUmbraClipSize () const
dgMemoryAllocator * | GetAllocator () const

## Public Attributes

DG_MSC_VECTOR_ALIGMENT class dgCollisionCompound::dgOOBBTestData | DG_GCC_VECTOR_ALIGMENT
DG_MSC_VECTOR_ALIGMENT class dgCollisionCompound::dgNodeBase | DG_GCC_VECTOR_ALIGMENT

## Protected Types

enum | dgNodeType { m_leaf, m_node }

## Protected Member Functions

void | RemoveCollision (dgNodeBase *const node)
virtual dgFloat32 | GetVolume () const
virtual dgFloat32 | GetBoxMinRadius () const
virtual dgFloat32 | GetBoxMaxRadius () const
virtual dgVector | SupportVertex (const dgVector &dir, dgInt32 *const vertexIndex) const
virtual void | CalcAABB (const dgMatrix &matrix, dgVector &p0, dgVector &p1) const
virtual void | MassProperties ()
dgMatrix | CalculateInertiaAndCenterOfMass (const dgMatrix &m_alignMatrix, const dgVector &localScale, const dgMatrix &matrix) const
dgFloat32 | CalculateMassProperties (const dgMatrix &offset, dgVector &inertia, dgVector &crossInertia, dgVector &centerOfMass) const
virtual dgVector | CalculateVolumeIntegral (const dgMatrix &globalMatrix, const dgVector &plane, const dgCollisionInstance &parentScale) const
virtual void | DebugCollision (const dgMatrix &matrix, dgCollision::OnDebugCollisionMeshCallback callback, void *const userData) const
virtual dgFloat32 | RayCast (const dgVector &localP0, const dgVector &localP1, dgFloat32 maxT, dgContactPoint &contactOut, const dgBody *const body, void *const userData, OnRayPrecastAction preFilter) const
virtual dgFloat32 | ConvexRayCast (const dgCollisionInstance *const instance, const dgMatrix &instanceMatrix, const dgVector &instanceVeloc, dgFloat32 maxT, dgContactPoint &contactOut, const dgBody *const referenceBody, const dgCollisionInstance *const referenceInstance, void *const userData, dgInt32 threadId) const
virtual dgInt32 | CalculateSignature () const
virtual void | SetCollisionBBox (const dgVector &p0, const dgVector &p1)
virtual void | GetCollisionInfo (dgCollisionInfo *const info) const
virtual void | Serialize (dgSerialize callback, void *const userData) const
virtual dgInt32 | CalculateContacts (dgCollidingPairCollector::dgPair *const pair, dgCollisionParamProxy &proxy) const
dgInt32 | CalculateContactsToSingle (dgCollidingPairCollector::dgPair *const pair, dgCollisionParamProxy &proxy) const
dgInt32 | CalculateContactsToSingleContinue (dgCollidingPairCollector::dgPair *const pair, dgCollisionParamProxy &proxy) const
dgInt32 | CalculateContactsToCompound (dgCollidingPairCollector::dgPair *const pair, dgCollisionParamProxy &proxy) const
dgInt32 | CalculateContactsToCompoundContinue (dgCollidingPairCollector::dgPair *const pair, dgCollisionParamProxy &proxy) const
dgInt32 | CalculateContactsToCollisionTree (dgCollidingPairCollector::dgPair *const pair, dgCollisionParamProxy &proxy) const
dgInt32 | CalculateContactsToCollisionTreeContinue (dgCollidingPairCollector::dgPair *const pair, dgCollisionParamProxy &proxy) const
dgInt32 | CalculateContactsToHeightField (dgCollidingPairCollector::dgPair *const pair, dgCollisionParamProxy &proxy) const
dgInt32 | CalculateContactsUserDefinedCollision (dgCollidingPairCollector::dgPair *const pair, dgCollisionParamProxy &proxy) const
dgFloat32 | ConvexRayCastSingleConvex (const dgCollisionInstance *const convexInstance, const dgMatrix &instanceMatrix, const dgVector &instanceVeloc, dgFloat32 maxT, dgContactPoint &contactOut, const dgBody *const referenceBody, const dgCollisionInstance *const referenceInstance, void *const userData, dgInt32 threadId) const
dgInt32 | ClosestDistance (dgCollisionParamProxy &proxy) const
dgInt32 | ClosestDistanceToConvex (dgCollisionParamProxy &proxy) const
dgInt32 | ClosestDistanceToCompound (dgCollisionParamProxy &proxy) const
dgNodeBase * | BuildTopDown (dgNodeBase **const leafArray, dgInt32 firstBox, dgInt32 lastBox, dgList< dgNodeBase *>::dgListNode **const nextNode)
dgFloat64 | CalculateEntropy (dgList< dgNodeBase *> &list)
void | ImproveNodeFitness (dgNodeBase *const node) const
dgFloat32 | CalculateSurfaceArea (dgNodeBase *const node0, dgNodeBase *const node1, dgVector &minBox, dgVector &maxBox) const
dgInt32 | CalculatePlaneIntersection (const dgVector &normal, const dgVector &point, dgVector *const contactsOut, dgFloat32 normalSign) const
void | PushNode (const dgMatrix &matrix, dgUpHeap< dgHeapNodePair, dgFloat32 > &heap, dgNodeBase *const myNode, dgNodeBase *const otehrNode) const
Protected Member Functions inherited from dgCollision
| dgCollision (const dgCollision &source)
| dgCollision (dgMemoryAllocator *const allocator, dgUnsigned32 signature, dgCollisionID id)
| dgCollision (dgWorld *const world, dgDeserialize deserialization, void *const userData)
virtual | ~dgCollision ()
void | SetSignature (dgInt32 signature)

## Static Protected Member Functions

static void | CalculateInertia (void *userData, int vertexCount, const dgFloat32 *const FaceArray, int faceId)

## Protected Attributes

dgFloat32 | m_boxMinRadius
dgFloat32 | m_boxMaxRadius
dgFloat64 | m_treeEntropy
dgWorld * | m_world
dgNodeBase * | m_root
const dgCollisionInstance * | m_myInstance
dgThread::dgCriticalSection | m_criticalSectionLock
dgTreeArray | m_array
dgInt32 | m_idIndex
Protected Attributes inherited from dgCollision
dgVector | m_inertia
dgVector | m_crossInertia
dgVector | m_centerOfMass
dgVector | m_boxSize
dgVector | m_boxOrigin
dgInt32 | m_rtti
dgInt32 | m_refCount
dgUnsigned32 | m_signature
dgCollisionID | m_collisionId
dgMemoryAllocator * | m_allocator

## Static Protected Attributes

static dgVector | m_padding

## Friends

class | dgBody
class | dgWorld
class | dgCollisionScene

## Additional Inherited Members

Public Types inherited from dgCollision

enum

dgRTTI {
dgCollisionNull_RTTI = 1<<0, dgCollisionBox_RTTI = 1<<1, dgCollisionCone_RTTI = 1<<2, dgCollisionSphere_RTTI = 1<<3,
dgCollisionCapsule_RTTI = 1<<4, dgCollisionCylinder_RTTI = 1<<5, dgCollisionConvexHull_RTTI = 1<<6, dgCollisionTaperedCapsule_RTTI = 1<<7,
dgCollisionTaperedCylinder_RTTI = 1<<8, dgCollisionChamferCylinder_RTTI = 1<<9, dgCollisionConvexPolygon_RTTI = 1<<10, dgCollisionConvexShape_RTTI = 1<<11,
dgCollisionCompound_RTTI = 1<<12, dgCollisionBVH_RTTI = 1<<13, dgCollisionMesh_RTTI = 1<<14, dgCollisionDeformableMesh_RTTI = 1<<15,
dgCollisionDeformableSolidMesh_RTTI = 1<<16, dgCollisionDeformableClothPatch_RTTI = 1<<17, dgCollisionUserMesh_RTTI = 1<<18, dgCollisionHeightField_RTTI = 1<<19,
dgCollisionScene_RTTI = 1<<20, dgCollisionCompoundBreakable_RTTI = 1<<21
}

typedef void(dgApi * | OnDebugCollisionMeshCallback) (void *userData, int vertexCount, const dgFloat32 *FaceArray, int faceId)
Static Public Member Functions inherited from dgCollision
static dgUnsigned32 | Quantize (dgFloat32 value)
static dgUnsigned32 | Quantize (void *buffer, int size)

## Member Enumeration Documentation

## § dgNodeType

enum dgCollisionCompound::dgNodeType

protected

Enumerator
m_leaf |
m_node |

## Constructor & Destructor Documentation

## § dgCollisionCompound() [1/3]

dgCollisionCompound::dgCollisionCompound | ( | dgWorld *const | world | ) |

## § dgCollisionCompound() [2/3]

dgCollisionCompound::dgCollisionCompound | ( | const dgCollisionCompound & | source,
|  | const dgCollisionInstance *const | myInstance
| ) |  |

## § dgCollisionCompound() [3/3]

dgCollisionCompound::dgCollisionCompound | ( | dgWorld *const | world,
|  | dgDeserialize | deserialization,
|  | void *const | userData,
|  | const dgCollisionInstance *const | myInstance
| ) |  |

## § ~dgCollisionCompound()

dgCollisionCompound::~dgCollisionCompound | ( |  | ) |

virtual

## Member Function Documentation

## § AddCollision()

dgTree< dgCollisionCompound::dgNodeBase *, dgInt32 >::dgTreeNode * dgCollisionCompound::AddCollision | ( | dgCollisionInstance *const | part | ) |

virtual

## § ApplyScale()

void dgCollisionCompound::ApplyScale | ( | const dgVector & | scale | ) |

## § BeginAddRemove()

void dgCollisionCompound::BeginAddRemove | ( |  | ) |

virtual

Reimplemented in dgCollisionCompoundFractured.

## § BuildTopDown()

dgCollisionCompound::dgNodeBase * dgCollisionCompound::BuildTopDown | ( | dgNodeBase **const | leafArray,
|  | dgInt32 | firstBox,
|  | dgInt32 | lastBox,
|  | dgList< dgNodeBase *>::dgListNode **const | nextNode
| ) |  |

protected

## § CalcAABB()

void dgCollisionCompound::CalcAABB | ( | const dgMatrix & | matrix,
|  | dgVector & | p0,
|  | dgVector & | p1
| ) |  | const

protectedvirtual

Implements dgCollision.

## § CalculateContacts()

dgInt32 dgCollisionCompound::CalculateContacts | ( | dgCollidingPairCollector::dgPair *const | pair,
|  | dgCollisionParamProxy & | proxy
| ) |  | const

protectedvirtual

## § CalculateContactsToCollisionTree()

dgInt32 dgCollisionCompound::CalculateContactsToCollisionTree | ( | dgCollidingPairCollector::dgPair *const | pair,
|  | dgCollisionParamProxy & | proxy
| ) |  | const

protected

## § CalculateContactsToCollisionTreeContinue()

dgInt32 dgCollisionCompound::CalculateContactsToCollisionTreeContinue | ( | dgCollidingPairCollector::dgPair *const | pair,
|  | dgCollisionParamProxy & | proxy
| ) |  | const

protected

## § CalculateContactsToCompound()

dgInt32 dgCollisionCompound::CalculateContactsToCompound | ( | dgCollidingPairCollector::dgPair *const | pair,
|  | dgCollisionParamProxy & | proxy
| ) |  | const

protected

## § CalculateContactsToCompoundContinue()

dgInt32 dgCollisionCompound::CalculateContactsToCompoundContinue | ( | dgCollidingPairCollector::dgPair *const | pair,
|  | dgCollisionParamProxy & | proxy
| ) |  | const

protected

## § CalculateContactsToHeightField()

dgInt32 dgCollisionCompound::CalculateContactsToHeightField | ( | dgCollidingPairCollector::dgPair *const | pair,
|  | dgCollisionParamProxy & | proxy
| ) |  | const

protected

## § CalculateContactsToSingle()

dgInt32 dgCollisionCompound::CalculateContactsToSingle | ( | dgCollidingPairCollector::dgPair *const | pair,
|  | dgCollisionParamProxy & | proxy
| ) |  | const

protected

## § CalculateContactsToSingleContinue()

dgInt32 dgCollisionCompound::CalculateContactsToSingleContinue | ( | dgCollidingPairCollector::dgPair *const | pair,
|  | dgCollisionParamProxy & | proxy
| ) |  | const

protected

## § CalculateContactsUserDefinedCollision()

dgInt32 dgCollisionCompound::CalculateContactsUserDefinedCollision | ( | dgCollidingPairCollector::dgPair *const | pair,
|  | dgCollisionParamProxy & | proxy
| ) |  | const

protected

## § CalculateEntropy()

dgFloat64 dgCollisionCompound::CalculateEntropy | ( | dgList< dgNodeBase *> & | list | ) |

protected

## § CalculateInertia()

void dgCollisionCompound::CalculateInertia | ( | void * | userData,
|  | int | vertexCount,
|  | const dgFloat32 *const | FaceArray,
|  | int | faceId
| ) |  |

staticprotected

## § CalculateInertiaAndCenterOfMass()

dgMatrix dgCollisionCompound::CalculateInertiaAndCenterOfMass | ( | const dgMatrix & | m_alignMatrix,
|  | const dgVector & | localScale,
|  | const dgMatrix & | matrix
| ) |  | const

protectedvirtual

Reimplemented from dgCollision.

## § CalculateMassProperties()

dgFloat32 dgCollisionCompound::CalculateMassProperties | ( | const dgMatrix & | offset,
|  | dgVector & | inertia,
|  | dgVector & | crossInertia,
|  | dgVector & | centerOfMass
| ) |  | const

protectedvirtual

Reimplemented from dgCollision.

## § CalculatePlaneIntersection()

dgInt32 dgCollisionCompound::CalculatePlaneIntersection | ( | const dgVector & | normal,
|  | const dgVector & | point,
|  | dgVector *const | contactsOut,
|  | dgFloat32 | normalSign
| ) |  | const

protectedvirtual

Implements dgCollision.

## § CalculateSignature()

dgInt32 dgCollisionCompound::CalculateSignature | ( |  | ) | const

protectedvirtual

Implements dgCollision.

## § CalculateSurfaceArea()

dgFloat32 dgCollisionCompound::CalculateSurfaceArea | ( | dgNodeBase *const | node0,
|  | dgNodeBase *const | node1,
|  | dgVector & | minBox,
|  | dgVector & | maxBox
| ) |  | const

protected

## § CalculateVolumeIntegral()

dgVector dgCollisionCompound::CalculateVolumeIntegral | ( | const dgMatrix & | globalMatrix,
|  | const dgVector & | plane,
|  | const dgCollisionInstance & | parentScale
| ) |  | const

protectedvirtual

Implements dgCollision.

## § ClosestDistance()

dgInt32 dgCollisionCompound::ClosestDistance | ( | dgCollisionParamProxy & | proxy | ) | const

protected

## § ClosestDistanceToCompound()

dgInt32 dgCollisionCompound::ClosestDistanceToCompound | ( | dgCollisionParamProxy & | proxy | ) | const

protected

## § ClosestDistanceToConvex()

dgInt32 dgCollisionCompound::ClosestDistanceToConvex | ( | dgCollisionParamProxy & | proxy | ) | const

protected

## § ConvexRayCast()

dgFloat32 dgCollisionCompound::ConvexRayCast | ( | const dgCollisionInstance *const | instance,
|  | const dgMatrix & | instanceMatrix,
|  | const dgVector & | instanceVeloc,
|  | dgFloat32 | maxT,
|  | dgContactPoint & | contactOut,
|  | const dgBody *const | referenceBody,
|  | const dgCollisionInstance *const | referenceInstance,
|  | void *const | userData,
|  | dgInt32 | threadId
| ) |  | const

protectedvirtual

Implements dgCollision.

## § ConvexRayCastSingleConvex()

dgFloat32 dgCollisionCompound::ConvexRayCastSingleConvex | ( | const dgCollisionInstance *const | convexInstance,
|  | const dgMatrix & | instanceMatrix,
|  | const dgVector & | instanceVeloc,
|  | dgFloat32 | maxT,
|  | dgContactPoint & | contactOut,
|  | const dgBody *const | referenceBody,
|  | const dgCollisionInstance *const | referenceInstance,
|  | void *const | userData,
|  | dgInt32 | threadId
| ) |  | const

protected

## § DebugCollision()

void dgCollisionCompound::DebugCollision | ( | const dgMatrix & | matrix,
|  | dgCollision::OnDebugCollisionMeshCallback | callback,
|  | void *const | userData
| ) |  | const

protectedvirtual

Implements dgCollision.

## § EndAddRemove()

void dgCollisionCompound::EndAddRemove | ( | bool | flushCache = `true` | ) |

virtual

## § FindNodeByIndex()

dgTree< dgCollisionCompound::dgNodeBase *, dgInt32 >::dgTreeNode * dgCollisionCompound::FindNodeByIndex | ( | dgInt32 | index | ) | const

## § GetAABB()

void dgCollisionCompound::GetAABB | ( | dgVector & | p0,
|  | dgVector & | p1
| ) |  | const

## § GetBoxMaxRadius()

dgFloat32 dgCollisionCompound::GetBoxMaxRadius | ( |  | ) | const

protectedvirtual

Implements dgCollision.

Reimplemented in dgCollisionScene.

## § GetBoxMinRadius()

dgFloat32 dgCollisionCompound::GetBoxMinRadius | ( |  | ) | const

protectedvirtual

Implements dgCollision.

Reimplemented in dgCollisionScene.

## § GetCollisionFromNode()

dgCollisionInstance * dgCollisionCompound::GetCollisionFromNode | ( | dgTreeArray::dgTreeNode *const | node | ) | const

## § GetCollisionInfo()

void dgCollisionCompound::GetCollisionInfo | ( | dgCollisionInfo *const | info | ) | const

protectedvirtual

Reimplemented from dgCollision.

## § GetFirstNode()

dgTree< dgCollisionCompound::dgNodeBase *, dgInt32 >::dgTreeNode * dgCollisionCompound::GetFirstNode | ( |  | ) | const

## § GetNextNode()

dgTree< dgCollisionCompound::dgNodeBase *, dgInt32 >::dgTreeNode * dgCollisionCompound::GetNextNode | ( | dgTreeArray::dgTreeNode *const | node | ) | const

## § GetNodeIndex()

dgInt32 dgCollisionCompound::GetNodeIndex | ( | dgTreeArray::dgTreeNode *const | node | ) | const

## § GetVolume()

dgFloat32 dgCollisionCompound::GetVolume | ( |  | ) | const

protectedvirtual

Implements dgCollision.

## § ImproveNodeFitness()

void dgCollisionCompound::ImproveNodeFitness | ( | dgNodeBase *const | node | ) | const

protected

## § MassProperties()

void dgCollisionCompound::MassProperties | ( |  | ) |

protectedvirtual

Reimplemented from dgCollision.

Reimplemented in dgCollisionScene.

## § PushNode()

DG_INLINE void dgCollisionCompound::PushNode | ( | const dgMatrix & | matrix,
|  | dgUpHeap< dgHeapNodePair, dgFloat32 > & | heap,
|  | dgNodeBase *const | myNode,
|  | dgNodeBase *const | otehrNode
| ) |  | const

protected

## § RayCast()

dgFloat32 dgCollisionCompound::RayCast | ( | const dgVector & | localP0,
|  | const dgVector & | localP1,
|  | dgFloat32 | maxT,
|  | dgContactPoint & | contactOut,
|  | const dgBody *const | body,
|  | void *const | userData,
|  | OnRayPrecastAction | preFilter
| ) |  | const

protectedvirtual

Implements dgCollision.

## § RemoveCollision() [1/2]

void dgCollisionCompound::RemoveCollision | ( | dgTreeArray::dgTreeNode *const | node | ) |

virtual

Reimplemented in dgCollisionCompoundFractured.

## § RemoveCollision() [2/2]

void dgCollisionCompound::RemoveCollision | ( | dgNodeBase *const | node | ) |

protected

## § Serialize()

void dgCollisionCompound::Serialize | ( | dgSerialize | callback,
|  | void *const | userData
| ) |  | const

protectedvirtual

Implements dgCollision.

Reimplemented in dgCollisionScene.

## § SetCollisionBBox()

void dgCollisionCompound::SetCollisionBBox | ( | const dgVector & | p0,
|  | const dgVector & | p1
| ) |  |

protectedvirtual

Implements dgCollision.

## § SetCollisionMatrix()

void dgCollisionCompound::SetCollisionMatrix | ( | dgTreeArray::dgTreeNode *const | node,
|  | const dgMatrix & | matrix
| ) |  |

virtual

## § SetParent()

void dgCollisionCompound::SetParent | ( | const dgCollisionInstance *const | myInstance | ) |

## § SupportVertex()

dgVector dgCollisionCompound::SupportVertex | ( | const dgVector & | dir,
|  | dgInt32 *const | vertexIndex
| ) |  | const

protectedvirtual

Implements dgCollision.

## Friends And Related Function Documentation

## § dgBody

friend class dgBody

friend

## § dgCollisionScene

friend class dgCollisionScene

friend

## § dgWorld

friend class dgWorld

friend

## Member Data Documentation

## § DG_GCC_VECTOR_ALIGMENT [1/2]

DG_MSC_VECTOR_ALIGMENT class dgCollisionCompound::dgOOBBTestData dgCollisionCompound::DG_GCC_VECTOR_ALIGMENT

## § DG_GCC_VECTOR_ALIGMENT [2/2]

DG_MSC_VECTOR_ALIGMENT class dgCollisionCompound::dgNodeBase dgCollisionCompound::DG_GCC_VECTOR_ALIGMENT

## § m_array

dgTreeArray dgCollisionCompound::m_array

protected

## § m_boxMaxRadius

dgFloat32 dgCollisionCompound::m_boxMaxRadius

protected

## § m_boxMinRadius

dgFloat32 dgCollisionCompound::m_boxMinRadius

protected

## § m_criticalSectionLock

dgThread::dgCriticalSection dgCollisionCompound::m_criticalSectionLock

protected

## § m_idIndex

dgInt32 dgCollisionCompound::m_idIndex

protected

## § m_myInstance

const dgCollisionInstance* dgCollisionCompound::m_myInstance

protected

## § m_padding

dgVector dgCollisionCompound::m_padding

staticprotected

## § m_root

dgNodeBase* dgCollisionCompound::m_root

protected

## § m_treeEntropy

dgFloat64 dgCollisionCompound::m_treeEntropy

protected

## § m_world

dgWorld* dgCollisionCompound::m_world

protected

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/physics/dgCollisionCompound.h
- dynamics.mod/NewtonDynamics/source/physics/dgCollisionCompound.cpp